试试这个:
- (defun c:Newlayer (/ Layername Color)
- ;;Author:Ganesh Shetty, Copyright © 2013 -http://autolispgs.blogspot.in
- ; -a small modification: If a new layer is created, it will become the current one
- ; -Fuccaro M. 2015-01-22
- (setq Layername(getstring "\nEnter New Layer Name:"))
- (if (not (Tblsearch "LAYER" Layername))
- (progn
- (setq color(getint "\nEnter Color Type for New Layer:"))
- (command "_Layer" "Make" layername "c" color layername "")
- (princ(strcat "\nLayer "" layername ""Created ."))
- )
- (princ "\nLayer Name Already exist.")
- )
- (princ)
- );end defun
+
我看到你已经得到了你的请求的答案,我将合并这两个线程 |